Download it now!
Bug 96411 - Context menu and menu bar submenu to change slide layout
Summary: Context menu and menu bar submenu to change slide layout
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.1.0.0.beta1
Hardware: All All
: medium enhancement
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:5.2.0 target:6.0.0
Keywords:
Depends on:
Blocks: Main-Menu Context-Menu Impress-UX Slide-Layout
  Show dependency treegraph
 
Reported: 2015-12-11 13:24 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-09-24 11:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-12-11 13:24:36 UTC
Presently we have toolbar (.uno:AssignLayout) and sidebar means of changing a slide's layout, but we dont have this ability within the context menu or menu bar. So it would be useful to modify .uno:AssignLayout to work within the menus, so that the list of available layouts a listed as radio button entries in a submenu, as presently it doesnt do anything.
Comment 1 Buovjaga 2015-12-14 11:40:21 UTC
Setting to NEW.
Comment 2 Maxim Monastirsky 2015-12-15 21:23:43 UTC
Why not simply use commands like ".uno:AssignLayout?WhatLayout:long=32". List of supported values is here: http://opengrok.libreoffice.org/xref/core/sd/inc/pres.hxx#AutoLayout
Comment 3 Yousuf Philips (jay) (retired) 2015-12-18 19:33:36 UTC
Thanks for the code pointer Maxim. :D

https://gerrit.libreoffice.org/20803
Comment 4 Commit Notification 2015-12-22 08:41:03 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=235a10d49eb1b7becbac32965633447b97a684bc

tdf#96411 Add slide layout changing to impress menu bar

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Yousuf Philips (jay) (retired) 2016-02-22 21:01:50 UTC
Seems i forgot the context menu part of this. :D

@Maxim: Can you test?

https://gerrit.libreoffice.org/22625
Comment 6 Xisco Faulí 2016-09-15 22:29:58 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 7 Xisco Faulí 2017-07-13 10:21:14 UTC
Setting Assignee back to default. Please assign it back to yourself if you're
still working on this issue
Comment 8 Yousuf Philips (jay) (retired) 2017-09-23 18:33:48 UTC
context menus patch - https://gerrit.libreoffice.org/42698
Comment 9 Commit Notification 2017-09-24 11:23:30 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7fa728c40897041a18b988853d09e685236ff061

tdf#96411 Add slide layout to context menus

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.